//
//  MasterViewController.m
//  FuncionesParametricas
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "MasterViewController.h"

#import "DetailViewController.h"

#import "SenoFunctionDataSource.h"
#import "CosenoFunctionDataSource.h"
#import "EspiralFunctionDataSource.h"

@interface MasterViewController ()
@end

@implementation MasterViewController

- (void)awakeFromNib
{
    [super awakeFromNib];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark - Table View

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 4;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];

    // Configure the cell.
	switch (indexPath.row) {
		case 0: {
			cell.textLabel.text = @"Seno";
			break;
        }
		case 1: {
			cell.textLabel.text = @"Coseno";
			break;
        }
		case 2: {
			cell.textLabel.text = @"Espiral";
			break;
        }
		default: {
			cell.textLabel.text = @"Nada";
			break;
        }
	}
    return cell;
}


- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showDetail"]) {
    
        DetailViewController* dvc = segue.destinationViewController;
        
        NSIndexPath *indexPath = [self.tableView indexPathForSelectedRow];
   
        switch (indexPath.row) {
            case 0: {
                dvc.functionDataSource = [[SenoFunctionDataSource alloc] init];
                break;
            }
            case 1: {
                dvc.functionDataSource = [[CosenoFunctionDataSource alloc] init];
                break;
            }
            case 2: {
                dvc.functionDataSource = [[EspiralFunctionDataSource alloc] init];
                break;
            }
            default: {
                dvc.functionDataSource = nil;
                break;
            }
        }
    }
}

@end
